﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.UltraGrid1.DisplayLayout.Override.ExpansionIndicator = Infragistics.Win.UltraWinGrid.ShowExpansionIndicator.CheckOnDisplay
        Me.UltraGrid1.DisplayLayout.Override.RowFilterMode = RowFilterMode.AllRowsInBand
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Me.UltraGrid1.DisplayLayout.Bands(1).ColumnFilters.ClearAllFilters()
        Me.UltraGrid1.DisplayLayout.Bands(1).ColumnFilters("Column 0").FilterConditions.Add(FilterComparisionOperator.Contains, 3)

        For Each row As UltraGridRow In Me.UltraGrid1.Rows
            If row.ChildBands(0).Rows.FilteredInNonGroupByRowCount.Equals(0) Then
                row.ExpansionIndicator = ShowExpansionIndicator.Never
                row.ChildBands(0).Rows.CollapseAll(True)
                row.Expanded = False
            End If
        Next
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Me.UltraGrid1.DisplayLayout.Bands(1).ColumnFilters.ClearAllFilters()
        For Each row As UltraGridRow In Me.UltraGrid1.Rows
            row.ExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay
        Next
    End Sub

End Class
